<?php  
session_start();
if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	} 

	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	$eve = "select * from res_city_master";
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 	
				$citymid=$rt['citymid'];
				
				$pidedit="<a href='cityedit.php?id=".$rt['citymid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				
				
				
				
				$piddelete="<a href='citydelete.php?id=".$rt['citymid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";			
                $op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				$cityname=str_replace ("'","'",$rt['cityname']);
				$cityname=str_replace ('"','\"',$cityname);
				$citycode=str_replace ("'","'",$rt['citycode']);
				$citycode=str_replace ('"','\"',$citycode);
				$statemid=$rt['statemid'];
				
				$eve1 = "select * from res_state_master where statemid=$statemid";
				$re1 = mysqli_query($conn, $eve1);
				$statename='';
				if(mysqli_num_rows($re1) > 0)
				{
					
					 while($rt1 = mysqli_fetch_assoc($re1))
					 {
							
						$statename=$rt1['statename'];
					 }
				}
				
								
				$posts[] = array('srno'=> $i++,'op'=> $op,'piddelete'=> $piddelete, 'cityname'=> $cityname, 'citycode'=> $citycode, 'state'=> $statename);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>